# CommandParameter (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: CommandParameter

Package co.aikar.commands

# Class CommandParameter<CEC extends CommandExecutionContext<CEC,? extends CommandIssuer>>

java.lang.Object
co.aikar.commands.CommandParameter<CEC>

public class CommandParameter<CEC extends CommandExecutionContext<CEC,? extends CommandIssuer>> extends Object

## Constructor Summary

Constructors
Constructor
Description
`CommandParameter(RegisteredCommand<CEC> command, Parameter param, int paramIndex, boolean isLast)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConsumeInput()`
`boolean`
`canExecuteWithoutInput()`
`String`
`getConditions()`
`String`
`getDefaultValue()`
`String`
`getDescription()`
`String`
`getDisplayName(CommandIssuer issuer)`
`Map<String,String>`
`getFlags()`
`CommandManager`
`getManager()`
`String`
`getName()`
`CommandParameter<CEC>`
`getNextParam()`
`Parameter`
`getParameter()`
`int`
`getParamIndex()`
`Set<String>`
`getRequiredPermissions()`
`ContextResolver<?,CEC>`
`getResolver()`
`String`
`getSyntax()`
`String`
`getSyntax(CommandIssuer issuer)`
`Class<?>`
`getType()`
`String[]`
`getValues()`
`boolean`
`isCommandIssuer()`
`boolean`
`isLast()`
`boolean`
`isOptional()`
`boolean`
`isOptionalInput()`
`boolean`
`isOptionalResolver()`
`boolean`
`requiresInput()`
`void`
`setCanConsumeInput(boolean canConsumeInput)`
`void`
`setCommandIssuer(boolean commandIssuer)`
`void`
`setConditions(String conditions)`
`void`
`setDefaultValue(String defaultValue)`
`void`
`setDescription(String description)`
`void`
`setFlags(Map<String,String> flags)`
`void`
`setNextParam(CommandParameter<CEC> nextParam)`
`void`
`setOptional(boolean optional)`
`void`
`setOptionalResolver(boolean optionalResolver)`
`void`
`setRequiresInput(boolean requiresInput)`
`void`
`setResolver(ContextResolver<?,CEC> resolver)`
`void`
`setSyntax(String syntax)`
`void`
`setValues(String[] values)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandParameter

public CommandParameter (RegisteredCommand<CEC> command, Parameter param, int paramIndex, boolean isLast)

## Method Details

### getParameter

public Parameter getParameter()

### getType

public Class<?> getType()

### getName

public String getName()

### getDisplayName

public String getDisplayName (CommandIssuer issuer)

### getManager

public CommandManager getManager()

### getParamIndex

public int getParamIndex()

### getResolver

public ContextResolver<?,CEC> getResolver()

### setResolver

public void setResolver (ContextResolver<?,CEC> resolver)

### isOptionalInput

public boolean isOptionalInput()

### isOptional

public boolean isOptional()

### setOptional

public void setOptional (boolean optional)

### getDescription

public String getDescription()

### setDescription

public void setDescription (String description)

### getDefaultValue

public String getDefaultValue()

### setDefaultValue

public void setDefaultValue (String defaultValue)

### isCommandIssuer

public boolean isCommandIssuer()

### setCommandIssuer

public void setCommandIssuer (boolean commandIssuer)

### getValues

public String[] getValues()

### setValues

public void setValues (String[] values)

### getFlags

public Map<String,String> getFlags()

### setFlags

public void setFlags (Map<String,String> flags)

### canConsumeInput

public boolean canConsumeInput()

### setCanConsumeInput

public void setCanConsumeInput (boolean canConsumeInput)

### setOptionalResolver

public void setOptionalResolver (boolean optionalResolver)

### isOptionalResolver

public boolean isOptionalResolver()

### requiresInput

public boolean requiresInput()

### setRequiresInput

public void setRequiresInput (boolean requiresInput)

### getSyntax

public String getSyntax()

### getSyntax

public String getSyntax (CommandIssuer issuer)

### setSyntax

public void setSyntax (String syntax)

### getConditions

public String getConditions()

### setConditions

public void setConditions (String conditions)

### getRequiredPermissions

public Set<String> getRequiredPermissions()

### setNextParam

public void setNextParam (CommandParameter<CEC> nextParam)

### getNextParam

public CommandParameter<CEC> getNextParam()

### canExecuteWithoutInput

public boolean canExecuteWithoutInput()

### isLast

public boolean isLast()